#!/bin/sh
# -*- mode: perl -*-
#
# Copyright (C) 1998 - 2001 Zeus Technology Limited.
#
# Subserver website hashing
#
# Input, hostname to hash (e.g. www.mysite.com)
# Output, hashed hostname  (e.g. ??/??/www.mysite.com) where ?? are 
# selected from [A-Za-z0-9-_]
#
# This software is provided "as is" and any express or implied warranties, 
# including but not limited to, the implied warranties of merchantability and
# fitness for a particular purpose are disclaimed.  In no event shall 
# Zeus Technology Limited. be liable for any direct, indirect, incidental,
# special, exemplary, or consequential damaged (including, but not
# limited to, procurement of substitute good or services; loss of use,
# data, or profits; or business interruption) however caused and on
# theory of liability.  Whether in contract, strict liability or tort
# (including negligence or otherwise) arising in any way out of the use
# of this software, even if advised of the possibility of such damage

# Ensure ZEUSHOME is setup to point to our 3.3 installation
if [ -z "$ZEUSHOME" ]
then
    # Have a good guess, we live in $ZEUSHOME/webadmin/bin
    OLD_PWD=`pwd`
    cd `dirname $0`/../..
    ZEUSHOME=`pwd`
    export ZEUSHOME
    cd $OLD_PWD
fi

if [ ! -d "$ZEUSHOME/webadmin" ]
then
  echo 'FATAL: $ZEUSHOME is not set, or is set incorrectly'
  echo 'It should point to the Zeus installation running the adminserver'
  exit 1
fi

exec $ZEUSHOME/perl/miniperl -x $0 ${1+"$@"}

#--- Perl program proper starts here
#!perl

BEGIN { @INC = ( "$ENV{ZEUSHOME}/admin/etc" ); }

use ZHash;

$site = shift || die "Usage: subserver_hash website\n";

print ZHash::complex( $site ) . "\n";

exit 0;

